Subject: Re: bug#9450: Bug report on 'dirname' : when jokers match several files
From: Paul Eggert <[email-masked]>
To: Laurent TARRISSE <[email-masked]>
Cc: [email-masked]
Date: Wed, 07 Sep 2011 07:33:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 09/07/11 00:21, Laurent TARRISSE wrote:
> The 'bug' appeared on Linux, because dirname doesn't output the path when
> several arguments are passed to it. :)

The same 'bug' will also appear on Solaris 10; its
dirname does the same thing as GNU/Linux's dirname.

I'm afraid you're fighting an uphill battle here.
I'd fix the script rather than expecting
other implementations to match HP-UX's quirks.

I'm marking this as "done" since I don't expect
the GNU/Linux version to change.